@echo off
goto StartHere

:Bat_Info
echo ************************************************************************
echo *    UNDONEW.BAT
echo *
echo *    Un-installs OpenHelp 6.0. Use this batch file only if you have 
echo *    previously run OHELPNEW.BAT. 
echo *
echo *    If you used OHELPRPL.BAT to install OpenHelp 6.0, use 
echo *    UNDORPL.BAT to un-install OpenHelp 6.0.
echo *
:Bat_Usage
echo *
echo *    This batch file requires one parameter. The parameter specifies the
echo *    drive and directory in which BC5 is installed. Enter a colon with 
echo *    the drive letter, followed by the backslash and directory name, 
echo *    e.g. C:\BC5
echo *
echo *    Usage:   UNDONEW param1
echo *    Example: UNDONEW C:\BC5
echo *
echo ************************************************************************
goto AllDone

:StartHere
  if "%1" == "" goto Bat_Usage
  if "%1" == "?" goto Bat_Usage
  if "%1" == "/?" goto Bat_Usage
  if "%1" == "-?" goto Bat_Usage
  if "%1" == "/h" goto Bat_Usage
  if "%1" == "/H" goto Bat_Usage
  if "%1" == "-h" goto Bat_Usage
  if "%1" == "-H" goto Bat_Usage
  
echo *    Delete BC5HELP.CFG from BC5\HELP
ATTRIB -R %1\HELP\BC5HELP.CFG
DEL %1\HELP\BC5HELP.CFG

echo *    Delete OPENHELP.EXE from BC5\BIN
ATTRIB -R %1\BIN\OPENHELP.EXE 
DEL %1\BIN\OPENHELP.EXE 

echo *    Rename OPENHELP 5.0 BC5\BIN
ATTRIB -R %1\BIN\OHLP5EXE.SAV
REN %1\BIN\OHLP5EXE.SAV OPENHELP.EXE

echo *    Delete OPENHELP.HLP, OPENHELP.CNT, OPENHELP.MST and OPENHELP.TOC 
echo *    from BC5\HELP
ATTRIB -R %1\HELP\OPENHELP.HLP 
ATTRIB -R %1\HELP\OPENHELP.CNT
ATTRIB -R %1\HELP\OPENHELP.MST
ATTRIB -R %1\HELP\OPENHELP.TOC
DEL %1\HELP\OPENHELP.HLP 
DEL %1\HELP\OPENHELP.CNT
DEL %1\HELP\OPENHELP.MST 
DEL %1\HELP\OPENHELP.TOC 

echo *    Rename OPENHELP 5.0 .HLP, .TOC and .CNT files in BC5\HELP
ATTRIB -R %1\HELP\OHLP5HLP.SAV
ATTRIB -R %1\HELP\OHLP5CNT.SAV
ATTRIB -R %1\HELP\OHLP5TOC.SAV
REN %1\HELP\OHLP5HLP.SAV OPENHELP.HLP 
REN %1\HELP\OHLP5CNT.SAV OPENHELP.CNT 
REN %1\HELP\OHLP5TOC.SAV OPENHELP.TOC 

echo *    Delete OPENHELP.IN_ from BC5\BIN
ATTRIB -R %1\BIN\OPENHELP.IN_
DEL %1\BIN\OPENHELP.IN_ 

echo *    Delete CNT files specific for OpenHelp 6.0
ATTRIB -R %1\HELP\*.CNT
DEL %1\HELP\BC5MAIN.CNT 
DEL %1\HELP\BCDOS.CNT
DEL %1\HELP\BCERRMSG.CNT
DEL %1\HELP\BCPP.CNT
DEL %1\HELP\BCTOOLS.CNT
DEL %1\HELP\BCVDTREF.CNT
DEL %1\HELP\BCW.CNT
DEL %1\HELP\BWCC.CNT
DEL %1\HELP\CLASSLIB.CNT
DEL %1\HELP\OCF.CNT
DEL %1\HELP\OWL50.CNT
DEL %1\HELP\OWLEX.CNT
DEL %1\HELP\SCRIPT.CNT
DEL %1\HELP\STL.CNT
DEL %1\HELP\WINSYS.CNT
DEL %1\HELP\WORKSHOP.CNT
DEL %1\HELP\BCWJAVA.CNT
DEL %1\HELP\BCWPVCS.CNT
DEL %1\HELP\CG5.CNT
DEL %1\HELP\TOGETHER.CNT

echo *    Rename *.SAV in BC5\HELP to *.CNT
ATTRIB -R %1\HELP\*.SAV
REN  %1\HELP\*.SAV *.CNT

echo *    Reset attribute on GID files to read/write and delete
ATTRIB -H %1\HELP\*.GID
DEL %1\HELP\*.GID

echo *    Rename BOPNHELP.SAV in BC5\BIN
ATTRIB -R %1\BIN\BOPNHLP.SAV
REN %1\BIN\BOPNHLP.SAV BOPNHLP.CFG

echo *    Delete OPENHELP.INI
ATTRIB -R %1\BIN\OPENHELP.INI
DEL %1\BIN\OPENHELP.INI

:AllDone


